=== modified file '__init__.py'
--- __init__.py	2009-05-04 07:01:58 +0000
+++ __init__.py	2009-05-07 09:41:56 +0000
@@ -102,21 +102,21 @@
             raise NoDisplayError
     set_ui_factory()
     return gtk
- 
+
 
 commands = {
     "gannotate": ["gblame", "gpraise"],
     "gbranch": [],
-    "gcheckout": [], 
-    "gcommit": ["gci"], 
-    "gconflicts": [], 
+    "gcheckout": [],
+    "gcommit": ["gci"],
+    "gconflicts": [],
     "gdiff": [],
     "ginit": [],
     "ginfo": [],
     "gmerge": [],
-    "gmissing": [], 
-    "gpreferences": [], 
-    "gpush": [], 
+    "gmissing": [],
+    "gpreferences": [],
+    "gpush": [],
     "gselftest": [],
     "gsend": [],
     "gstatus": ["gst"],
@@ -132,7 +132,8 @@
     commands["gloom"] = []
 
 for cmd, aliases in commands.iteritems():
-    plugin_cmds.register_lazy("cmd_%s" % cmd, aliases, "bzrlib.plugins.gtk.commands")
+    plugin_cmds.register_lazy("cmd_%s" % cmd, aliases,
+                              "bzrlib.plugins.gtk.commands")
 
 
 import gettext
@@ -149,20 +150,22 @@
         return "No DISPLAY. Unable to run GTK+ application."
 
 
-def test_suite():
-    from unittest import TestSuite
-    import tests
+def load_tests(basic_tests, module, loader):
+    testmod_names = [
+        'tests',
+        ]
     import sys
     default_encoding = sys.getdefaultencoding()
     try:
-        result = TestSuite()
+        result = basic_tests
         try:
             import_pygtk()
         except errors.BzrCommandError:
-            return result
-        result.addTest(tests.test_suite())
+            return basic_tests
+        basic_tests.addTest(loader.loadTestsFromModuleNames(
+                ["%s.%s" % (__name__, tmn) for tmn in testmod_names]))
     finally:
         if sys.getdefaultencoding() != default_encoding:
             reload(sys)
             sys.setdefaultencoding(default_encoding)
-    return result
+    return basic_tests

=== modified file 'tests/__init__.py'
--- tests/__init__.py	2008-11-13 06:55:41 +0000
+++ tests/__init__.py	2009-05-07 09:41:56 +0000
@@ -14,16 +14,9 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from unittest import TestLoader, TestSuite
-from bzrlib.tests import TestUtil
-
-import os
-
-def test_suite():
-    result = TestSuite()
-
-    loader = TestUtil.TestLoader()
-
+from bzrlib import tests
+
+def load_tests(basic_tests, module, loader):
     testmod_names = [
         'test_commit',
         'test_diff',
@@ -33,6 +26,6 @@
         'test_revisionview',
         ]
 
-    result.addTest(loader.loadTestsFromModuleNames(["%s.%s" % (__name__, i) for i in testmod_names]))
-    return result
-
+    basic_tests.addTest(loader.loadTestsFromModuleNames(
+            ["%s.%s" % (__name__, tmn) for tmn in testmod_names]))
+    return basic_tests

